Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1740931 - [abrt] lpf: run(): subprocess.py:487:run:subprocess.CalledProcessError: Command '['/usr/share/lpf/scripts/lpf', 'state', 'spotify-client']' died with <Signals.SIGTERM: 15>.
Summary: [abrt] lpf: run(): subprocess.py:487:run:subprocess.CalledProcessError: Comma...
Keywords:
Status: CLOSED DUPLICATE of bug 1128565
Alias: None
Product: Fedora
Classification: Fedora
Component: lpf
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alec Leamas
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fc5d72b4a380e0797b3d2b10451...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-13 21:25 UTC by christian gudino
Modified: 2021-05-27 10:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:49:41 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.04 KB, text/plain)
2019-08-13 21:25 UTC, christian gudino
no flags Details
File: cgroup (331 bytes, text/plain)
2019-08-13 21:25 UTC, christian gudino
no flags Details
File: cpuinfo (1.89 KB, text/plain)
2019-08-13 21:25 UTC, christian gudino
no flags Details
File: environ (6.68 KB, text/plain)
2019-08-13 21:25 UTC, christian gudino
no flags Details
File: mountinfo (6.12 KB, text/plain)
2019-08-13 21:25 UTC, christian gudino
no flags Details
File: namespaces (129 bytes, text/plain)
2019-08-13 21:25 UTC, christian gudino
no flags Details
File: open_fds (932 bytes, text/plain)
2019-08-13 21:25 UTC, christian gudino
no flags Details

Description christian gudino 2019-08-13 21:25:33 UTC
Version-Release number of selected component:
lpf-0.2-10.f1f5dd9.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        /usr/bin/python3 /usr/bin/lpf-gui
crash_function: run
exception_type: subprocess.CalledProcessError
executable:     /usr/bin/lpf-gui
interpreter:    python3-3.7.4-1.fc30.x86_64
kernel:         5.2.7-200.fc30.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
subprocess.py:487:run:subprocess.CalledProcessError: Command '['/usr/share/lpf/scripts/lpf', 'state', 'spotify-client']' died with <Signals.SIGTERM: 15>.

Traceback (most recent call last):
  File "/usr/share/lpf/scripts/lpf_gui_base.py", line 208, in on_view_item_activate_cb
    self.update_details(pkg_name)
  File "/usr/share/lpf/scripts/lpf_gui_base.py", line 308, in update_details
    statebytes = subprocess.check_output([here('lpf'), 'state', pkg_name])
  File "/usr/lib64/python3.7/subprocess.py", line 395, in check_output
    **kwargs).stdout
  File "/usr/lib64/python3.7/subprocess.py", line 487, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['/usr/share/lpf/scripts/lpf', 'state', 'spotify-client']' died with <Signals.SIGTERM: 15>.

Local variables in innermost frame:
input: None
capture_output: False
timeout: None
check: True
popenargs: (['/usr/share/lpf/scripts/lpf', 'state', 'spotify-client'],)
kwargs: {'stdout': -1}
process: <subprocess.Popen object at 0x7f9d908169d0>
stdout: b''
stderr: None
retcode: -15

Comment 1 christian gudino 2019-08-13 21:25:35 UTC
Created attachment 1603548 [details]
File: backtrace

Comment 2 christian gudino 2019-08-13 21:25:36 UTC
Created attachment 1603549 [details]
File: cgroup

Comment 3 christian gudino 2019-08-13 21:25:37 UTC
Created attachment 1603550 [details]
File: cpuinfo

Comment 4 christian gudino 2019-08-13 21:25:38 UTC
Created attachment 1603551 [details]
File: environ

Comment 5 christian gudino 2019-08-13 21:25:39 UTC
Created attachment 1603552 [details]
File: mountinfo

Comment 6 christian gudino 2019-08-13 21:25:40 UTC
Created attachment 1603553 [details]
File: namespaces

Comment 7 christian gudino 2019-08-13 21:25:41 UTC
Created attachment 1603554 [details]
File: open_fds

Comment 8 Ben Cotton 2020-04-30 21:14:50 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2020-05-26 16:49:41 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Sergio Basto 2021-05-27 10:25:38 UTC
this is comment in several at same time, all these bugs I believe are duplicated , but mass bug change doesn't let me mark it as duplicated , I will try do it manually 

I think I found a way to reproduce it , finally .

Do you see a message "Error getting authority: Error initializing authority: Could not connect: No such file or directory" before the stacktrace

Comment 11 Sergio Basto 2021-05-27 10:40:05 UTC

*** This bug has been marked as a duplicate of bug 1128565 ***


Note You need to log in before you can comment on or make changes to this bug.